<?php

class APP_2Checkout extends APP_Boomerang{

	protected $options;

	public function __construct(){
		parent::__construct( '2checkout', array(
			'admin' => __( '2Checkout', 'appthemes-2checkout' ),
			'dropdown' => __( '2Checkout', 'appthemes-2checkout' )
		));

		add_action( 'template_redirect', array( $this, 'listen' ) );
	}

	public function listen () {
		global $wp_query;
		if ( ! is_singular( APPTHEMES_ORDER_PTYPE ) && array_key_exists( 'x_receipt_link_url', $_GET ) ) {
			wp_redirect( add_query_arg( $_GET, $_GET['x_receipt_link_url'] ) );
		}
	}

	public function create_form( $order, $options ){

		$fields = array(
			'sid'  => $options['account_number'],
			'mode' => '2CO',
			'merchant_order_id' => $order->get_id(),
			'li_0_type' => 'product',
			'li_0_name' => $order->get_description(),
			'li_0_price' => $order->get_total(),
			'li_0_quantity' => 1,
			'li_0_tangible' => 'N',
			'x_receipt_link_url' => $order->get_return_url(),
		);

		$url = APP_2Checkout_Fields::POST_URL;
		if( !empty( $options['enable_sandbox'] ) ){
			$url = APP_2Checkout_Fields::TEST_URL;
		}

		$form = array(
			'accept-charset' => 'utf-8',
			'action' => $url,
			'id' => 'create-listing',
			'method' => 'POST',
			'name' => 'ch_payform',
		);

		$this->redirect( $form, $fields, __( 'Теперь вы перенаправляются к 2Checkout.', 'appthemes-2checkout' ) );

	}

	protected function is_valid( $order, $options ){

		$hashSecretWord = trim( $options['secret_word'] );
		$hashSid = trim( $options['account_number'] );
		$hashOrder = $_REQUEST['order_number'];
		$order = appthemes_get_order( intval( $_GET['merchant_order_id'] ) );
		$hashTotal = $order->get_total();

		if ( ! empty( $options['enable_demo'] ) || ! empty( $options['enable_sandbox'] ) ) {
			$hashOrder = 1;
		}

		$StringToHash = strtoupper( md5( $hashSecretWord . $hashSid . $hashOrder . $hashTotal) );
		if ( $StringToHash != $_REQUEST['key'] ) {
		  return false;
		} else {
		  return true;
		}

	}

	protected function is_returning() {
		return array_key_exists( 'x_receipt_link_url', $_GET );
	}

	public function form(){

		return array(
			array(
				'title' => __( '2Checkout', 'appthemes-2checkout' ),
				'fields' => array (
		            array(  'title' => __( 'Номер счета', 'appthemes-2checkout' ),
		                    'name'   => 'account_number',
		                    'type' => 'text',
		            ),
		            array(  'title' => __( 'Секретное слово', 'appthemes-2checkout' ),
		                    'name' => 'secret_word',
		                    'type' => 'text',
		                    'default' => 'tango',
		            ),
		            array(  'title' => __( 'Песочница счета', 'appthemes-2checkout' ),
		                    'name' => 'enable_sandbox',
		                    'type' => 'checkbox',
		            ),
								array(  'title' => __( 'Демо-режим', 'appthemes-2checkout' ),
		                    'name' => 'enable_demo',
		                    'type' => 'checkbox',
		            ),
			    )
			)
		);

	}

}

?>
