<?php
/*
Plugin Name: AppStats
Description: Позволяет владельцам сайта детализировать статистические данные на их сайте

AppThemes ID: appstats

Version: 1.5
Author: AppThemes
Author URI: http://appthemes.com
Text Domain: appthemes-stats
*/

add_action( 'init', 'appthemes_stats_setup', 11 );

$locale = apply_filters( 'plugin_locale', get_locale(), 'appthemes-stats' );
load_textdomain( 'appthemes-stats', WP_LANG_DIR . "/plugins/appstats-$locale.mo" );

function appthemes_stats_setup() {

	if ( ! current_theme_supports( 'app-payments' ) || ! class_exists( 'DateInterval' ) ) {
		add_action( 'admin_notices', 'appthemes_stats_display_version_warning' );
		return;
	}

	require dirname( __FILE__ ) . '/filters.php';
	require dirname( __FILE__ ) . '/utils.php';
	require dirname( __FILE__ ) . '/includes/stat.php';
	require dirname( __FILE__ ) . '/includes/post-stat.php';
	require dirname( __FILE__ ) . '/includes/order-stat.php';

	if ( is_admin() ) {
		require_once ABSPATH . '/wp-admin/includes/class-wp-list-table.php';

		require dirname( __FILE__ ) . '/graph-list.php';
		require dirname( __FILE__ ) . '/orders-graph-list.php';

		require dirname( __FILE__ ) . '/admin/admin-orders.php';
		new APP_Stats_Page();
	}

}

add_filter( 'appthemes_order_item_posts_types', 'appthemes_stats_add_order_types', 99 );

function appthemes_stats_add_order_types( $types ) {
	$types[] = 'transaction';
	return $types;
}

function appthemes_stats_display_version_warning() {

	$message = __( 'AppStats не смог запустить.', 'appthemes-stats' );

	if ( ! current_theme_supports( 'app-payments' ) ) {
		$message = __( 'AppStats не поддержка текущей темы. Пожалуйста, используйте совместимый AppThemes продукт.', 'appthemes-stats' );
	}

	if ( ! class_exists( 'DateInterval' ) ) {
		$message = __( 'AppStats не поддерживает ваш сервер\'Ю версию PHP. Пожалуйста, обновите PHP версии 5.3 и выше.', 'appthemes-stats' );
	}

	echo '<div class="error fade"><p>' . esc_html( $message ) . '</p></div>';
	deactivate_plugins( plugin_basename( __FILE__ ) );
}
