<?php 

class APP_Order_Stat extends APP_Post_Stat{
	
	public function countGateways(){

		$gateways = array();
		foreach( $this->posts as $post ){
			$gateways[] = get_post_meta( $post->ID, 'gateway', true );
		}
		return array_count_values( $gateways );
	}

	public function filterByGateway( $gateway_id ){
		$items = array();
		foreach( $this->posts as $post ){
			if( get_post_meta( $post->ID, 'gateway', true ) == $gateway_id )
				$items[] = $post;
		}

		return $this->create( $items );
	}

	public function countCurrencies(){

		$currencies = array();
		foreach( $this->posts as $post ){
			$currencies[] = get_post_meta( $post->ID, 'currency', true );
		}
		return array_count_values( $currencies );

	}

	public function filterByCurrency( $currency ){
		$items = array();
		foreach( $this->posts as $post ){
			if( get_post_meta( $post->ID, 'currency', true ) == $currency )
				$items[] = $post;
		}

		return new $this->create( $items );
	}

	public function getTotalIncome(){

		$totals = array();
		foreach( $this->posts as $post ){
			$amount = get_post_meta( $post->ID, 'total_price', true );
			$currency = get_post_meta( $post->ID, 'currency', true );

			if( $amount == 0 )
				continue;

			if( isset( $totals[ $currency ] ) )
				$totals[ $currency ] += $amount;
			else
				$totals[ $currency ] = $amount;
		}

		return $totals;

	}

	public function getItemCounts(){

	}

	public function filterByItem( $item ){
		// returns a new stat object with only orders containing that item
	}

}