<?php

class APP_Post_Stat extends APP_Stat{
	
	protected $posts;

	protected $authors = array(
		'values' => array(),
		'counts' => array(),
	);

	protected $statuses = array(
		'values' => array(),
		'counts' => array(),
	);

	protected $dates = array(
		'values' => array()
	);
	
	public function __construct( $posts ){
		$this->posts = $posts;

		$this->authors['counts'] = $this->countProperty( 'post_author' );
		$this->authors['values'] = $this->retrieveProperty( 'post_author' );

		$this->statuses['counts'] = $this->countProperty( 'post_status' );
		$this->statuses['values'] = $this->retrieveProperty( 'post_status' );

		$this->dates['values'] = $this->retrieveProperty( 'post_date' );
	}

	public function count(){
		return count( $this->posts );
	}

	public function authors(){
		return $this->authors['values'];
	}

	public function countAuthors(){
		return $this->authors['counts'];
	}

	public function filterByAuthor( $authors ){
		return $this->filterByProperty( 'post_author', $authors );
	}

	public function statuses(){
		return $this->statuses['values'];
	}

	public function countStatuses(){
		return $this->statuses['counts'];
	}

	public function filterByStatus( $statuses ){
		return $this->filterByProperty( 'post_status', $statuses );
	}

	public function dates( $compression = APP_Stat::HOUR ){
		$dates = $this->dates['values'];
		return $this->compress( $dates, $compression, false );
	}

	public function countDates( $compression = APP_Stat::HOUR ){
		return $this->compress( $this->dates['values'], $compression );
	}

	public function countAverageByDate( $compression = APP_Stat::HOUR ){
		return $this->dataAverage( $this->countDates( $compression ) );
	}

	public function countMedianByDate( $compression = APP_Stat::HOUR ){
		return $this->dataMedian( $this->countDates( $compression ) );
	}

	public function countModeByDate( $compression = APP_Stat::HOUR ){
		return $this->dataMode( $this->countDates( $compression ) );
	}

	public function countMinByDate( $compression = APP_Stat::HOUR ){
		$min = $this->dataMin( $this->countDates( $compression ) );
    	return array(
    		'date' => $min['key'],
    		'value' => $min['value']
    	);
	}

	public function countMaxByDate( $compression = APP_Stat::HOUR ){
		$max = $this->dataMax( $this->countDates( $compression ) );
    	return array(
    		'date' => $max['key'],
    		'value' => $max['value']
    	);
	}

	public function firstDate( $compression = APP_Stat::HOUR ){
		$dates = $this->dates( $compression );
		return min( $dates );
	}

	public function lastDate( $compression = APP_Stat::HOUR ){
		$dates = $this->dates( $compression );
		return max( $dates );
	}

	public function filterByDate( $start_date = '', $end_date = '' ){

	}

}