<?php

/*
Plugin Name: Wallet One Checkout Gateway
Plugin URI: https://marketplace.appthemes.com/plugins/payment-gateways/walletone-checkout/
Description: Кошелек платежные ворота контроля для AppThemes. Более 100 способов осуществления платежей клиентами в 15 странах.
Version: 1.1.1
Author: Artem Frolov (dikiyforester)
Author URI: https://www.appthemes.com/members/dikiyforester/
Domain Path: /languages
Text Domain: dkf-walletone
AppThemes ID: wallet-one-gateway
*/

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

define( 'DKF_W1_TD', 'dkf-walletone' );

load_plugin_textdomain( DKF_W1_TD, false, basename( dirname( __FILE__ ) ) . '/languages' );

add_action( 'init', 'dkfw1_setup' );

/**
 * Plugin setup.
 */
function dkfw1_setup() {

	if ( ! current_theme_supports( 'app-payments' ) ) {
		add_action( 'admin_notices', 'dkfw1_display_version_warning' );
		return;
	}

	// Load files.
	require_once dirname( __FILE__ ) . '/w1-gateway.php';
	require_once dirname( __FILE__ ) . '/w1-currencies.php';

	// Add extra currencies.
	DKF_WalletOne_Currencies::init();

	// Register gateway.
	appthemes_register_gateway( 'DKF_WalletOne' );
}

/**
 * Display warning message.
 */
function dkfw1_display_version_warning() {

	$message = __( 'Wallet One Checkout Gateway несовместим с вашей платежной системой. Подключаемый модуль деактивирован.', DKF_W1_TD );

	echo '<div class="error fade"><p>' . esc_html_e( $message ) .'</p></div>';
	deactivate_plugins( plugin_basename( __FILE__ ) );
}
